This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 803114 - (CVE-2012-0451) CVE-2012-0451 Mozilla: XSS with multiple Content Security Policy headers (MFSA 2012-15)
CVE-2012-0451 Mozilla: XSS with multiple Content Security Policy headers (MFS...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120303,repor...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-13 21:51 EDT by Huzaifa S. Sidhpurwala
Modified: 2016-03-04 06:18 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-14 05:08:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2012-03-13 21:51:33 EDT
Security Researcher Mike Brooks of Sitewatch reported that if multiple Content Security Policy (CSP) headers are present on a page, they have an additive effect page policy. Using carriage return line feed (CRLF) injection, a new CSP rule can be introduced which allows for cross-site scripting (XSS) on sites with a separate header injection vulnerability. 

Reference:
http://www.mozilla.org/security/announce/2012/mfsa2012-15.html
Comment 1 errata-xmlrpc 2012-03-14 03:20:16 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2012:0388 https://rhn.redhat.com/errata/RHSA-2012-0388.html
Comment 2 errata-xmlrpc 2012-03-14 03:41:06 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2012:0387 https://rhn.redhat.com/errata/RHSA-2012-0387.html

Note You need to log in before you can comment on or make changes to this bug.